package com.fjhx.xmhjc.controller.topic;

import com.fjhx.xmhjc.entity.topic.dto.TopicContentDto;
import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.topic.vo.TopicRepliesVo;
import com.fjhx.xmhjc.entity.topic.dto.TopicRepliesSelectDto;
import com.fjhx.xmhjc.entity.topic.dto.TopicRepliesDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.fjhx.xmhjc.service.topic.TopicRepliesService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * <p>
 * 主题回复 前端控制器
 * </p>
 *
 * @author hj
 * @since 2023-11-20
 */
@RestController
@RequestMapping("/topicReplies")
public class TopicRepliesController {

    @Autowired
    private TopicRepliesService topicRepliesService;

    /**
     * 主题回复列表
     */
    @PostMapping("/list")
    public List<TopicRepliesVo> list(@RequestBody TopicRepliesSelectDto dto) {
        return topicRepliesService.getList(dto);
    }

    /**
     * 主题回复分页
     */
    @PostMapping("/page")
    public Page<TopicRepliesVo> page(@RequestBody TopicRepliesSelectDto dto) {
        return topicRepliesService.getPage(dto);
    }

    /**
     * 主题回复明细
     */
    @PostMapping("/detail")
    public TopicRepliesVo detail(@RequestBody BaseSelectDto dto) {
        return topicRepliesService.detail(dto.getId());
    }

    /**
     * 主题回复新增
     */
    @PostMapping("/add")
    public void add(@RequestBody TopicRepliesDto topicRepliesDto) {
        topicRepliesService.add(topicRepliesDto);
    }

    /**
     * 主题回复编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody TopicRepliesDto topicRepliesDto) {
        topicRepliesService.edit(topicRepliesDto);
    }

    /**
     * 主题回复删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        topicRepliesService.delete(dto.getId());
    }


    @PostMapping("/hasReply")
    public Boolean hasReply(@RequestBody TopicRepliesSelectDto topicRepliesSelectDto) {
        return topicRepliesService.hasReply(topicRepliesSelectDto.getTopicId());
    }

    @PostMapping("/hasFloorReply")
    public Boolean hasFloorReply(@RequestBody TopicRepliesSelectDto topicRepliesSelectDto) {
        return topicRepliesService.hasFloorReply(topicRepliesSelectDto.getFloorId());
    }

    /**
     * 主题回复删除
     */
    @PostMapping("/deleteAndChild")
    public void deleteAndChild(@RequestBody BaseSelectDto dto) {
        topicRepliesService.deleteAndChild(dto.getId());
    }


    /**
     * 置顶回复
     */
    @PostMapping("/topingReplys")
    public void topingReplys(@RequestBody TopicRepliesDto topicRepliesDto) {
        topicRepliesService.topingReplys(topicRepliesDto);
    }
}
