package com.fjhx.xmhjc.service.product;

import com.fjhx.xmhjc.entity.product.po.ProductImage;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.product.vo.ProductImageVo;
import com.fjhx.xmhjc.entity.product.dto.ProductImageSelectDto;
import com.fjhx.xmhjc.entity.product.dto.ProductImageDto;

import java.util.List;

/**
 * <p>
 * 产品图片 服务类
 * </p>
 *
 * @author hj
 * @since 2023-11-12
 */
public interface ProductImageService extends BaseService<ProductImage> {

    /**
     * 产品图片列表
     */
    List<ProductImageVo> getList(ProductImageSelectDto dto);

    /**
     * 产品图片分页
     */
    Page<ProductImageVo> getPage(ProductImageSelectDto dto);

    /**
     * 产品图片明细
     */
    ProductImageVo detail(Long id);

    /**
     * 产品图片新增
     */
    void add(ProductImageDto productImageDto);

    /**
     * 产品图片编辑
     */
    void edit(ProductImageDto productImageDto);

    /**
     * 产品图片删除
     */
    void delete(Long id);

}
