package com.fjhx.xmhjc.service.product;

import com.fjhx.xmhjc.entity.product.po.ProductInfo;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.product.vo.ProductInfoVo;
import com.fjhx.xmhjc.entity.product.dto.ProductInfoSelectDto;
import com.fjhx.xmhjc.entity.product.dto.ProductInfoDto;

import java.util.List;

/**
 * <p>
 * 产品信息表 服务类
 * </p>
 *
 * @author hj
 * @since 2023-11-12
 */
public interface ProductInfoService extends BaseService<ProductInfo> {

    /**
     * 产品信息表列表
     */
    List<ProductInfoVo> getList(ProductInfoSelectDto dto);

    /**
     * 产品信息表分页
     */
    Page<ProductInfoVo> getPage(ProductInfoSelectDto dto);

    /**
     * 产品信息表明细
     */
    ProductInfoVo detail(Long id);

    /**
     * 产品信息表新增
     */
    void add(ProductInfoDto productInfoDto);

    /**
     * 产品信息表编辑
     */
    void edit(ProductInfoDto productInfoDto);

    /**
     * 产品信息表删除
     */
    void delete(Long id);

    Page<ProductInfoVo> pageByOpen(Long categoryId, Long subCategoryId, ProductInfoSelectDto dto);

    ProductInfoVo detailByOpen(Long id);
}
